Bug 106422 - Slow thoughtput with Flash Drive on Dell Optiplex GX240 under RH9.0
Slow thoughtput with Flash Drive on Dell Optiplex GX240 under RH9.0
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-10-06 19:48 EDT by kev
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
System information and log file extract (13.05 KB, text/plain)
2003-10-06 19:52 EDT, kev
no flags Details

  None (edit)
Description kev 2003-10-06 19:48:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
I have a Transend Flash Drive that is presenting problems with later Linux kernels.

NOTE: This problem _only_ occurs on a Dell Optiplex GX240 system I use at work.
My system at home (not a Dell) has no problems with any kernel revision - up to,
and including, 2.6.0-test6. Neither does the problem occur on an older Dell
Optiplex GX110 - running vanilla RH9.0.

The device operates perfectly under the kernel distributed with RedHat8.0
(2.4.18-14) but has problems with all later kernels - including the one in RH9.0
(2.4.20-8). In the past I have installed RH9.0 and run into this problem and I
have reverted to RH8.0 so the information below is obtained from a
"roll-your-own" version of the 2.4.22 kernel.

The problem is one of _very_ slow throughput to the device - up to 10 seconds to
get output from an ls -l /mnt/flash. I suspect that this may, in some way, be
connected with the fact the the drive is not recognised at boot time.

I have tried both UHCI drivers. With the usb-uhci driver the USB buses are
recognised at boot time but the Flash Drive is not. With the uchi driver, the
USB buses are _not_ recognised at boot time - however manually loading the
modules overcomes this. With _both_ drivers, the slow throughput problem is evident.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Just attach the device and do a "mount /dev/sda1 /mnt/flash" - this will take a
long time. As will a subsequent "ls -l /mnt/flash"

Additional info:
Comment 1 kev 2003-10-06 19:52:18 EDT
Created attachment 94967 [details]
System information and log file extract
Comment 2 Bugzilla owner 2004-09-30 11:41:35 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.